summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/export.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/export.sh b/tools/export.sh
index e69de29bb..5d1e55e58 100644
--- a/tools/export.sh
+++ b/tools/export.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+version="${1}"
+
+if [ -z "$version" ] ; then
+ echo "must supply version number"
+ exit 1
+fi
+
+bk export . /tmp/bcfg2-${version}
+bk changes -aeR > /tmp/bcfg2-${version}/ChangeLog
+cd /tmp/bcfg2-${version}/doc
+make
+cd /tmp
+tar czf bcfg2-${version}.tar.gz bcfg2-${version} \ No newline at end of file